import request from '@/utils/request'


// 店铺列表
export function store_list(data) {
	return request({
		url: '/api/store_list',
		method: 'get',
		data
	});
}

// 店铺详情
export function store_details(data, id) {
	return request({
		url: '/api/store_details/' + id,
		method: 'get',
		data
	});
}

// 获取门店组
export function groups(data, id) {
	return request({
		url: '/api/groups/' + id,
		method: 'get',
		data
	});
}


// 设置管理员
export function setAdmin(data, id) {
	return request({
		url: '/api/setAdmin',
		method: 'post',
		data
	});
}

// 设置店长
export function setLeader(data, id) {
	return request({
		url: '/api/setLeader/' + id,
		method: 'post',
		data
	});
}

// 店员绑定
export function setWaiter(data, id) {
	return request({
		url: '/api/setWaiter/' + id,
		method: 'post',
		data
	});
}
